<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_os_include.php
| Version: 1.00
| Author: Christian97
| Developers: Christian97 
| Site: http://aonoexorcist.it/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if ($profile_method == "input") {

		$user_os = isset($user_data['user_os']) ? $user_data['user_os'] : "";
		if ($this->isError()) { $user_os = isset($_POST['user_os']) ? stripinput($_POST['user_os']) : $user_os; }
   
   echo "<tr>\n";
   echo "<td class='tbl".$this->getErrorClass("user_os")."'><label for='user_os'>".$locale['uf_os'].$required."</label></td>\n";
   echo "<td class='tbl".$this->getErrorClass("user_os")."'>";
   echo "<select name='user_os' class='textbox'>\n";
   echo "<option value=''".(empty($user_os) ? " selected='selected'" : "").">".$locale['uf_os_000']."</option>\n";
   echo "<option value='1'".($user_os == '1' ? ' selected=selected' : '').">".$locale['uf_os_001']."</option>";
   echo "<option value='2'".($user_os == '2' ? ' selected=selected' : '').">".$locale['uf_os_002']."</option>";
   echo "<option value='3'".($user_os == '3' ? ' selected=selected' : '').">".$locale['uf_os_003']."</option>";
   echo "<option value='4'".($user_os == '4' ? ' selected=selected' : '').">".$locale['uf_os_004']."</option>";
   echo "</select></td>\n";
   echo "</tr>\n";
	
	if ($required) { $this->setRequiredJavaScript("user_os", $locale['uf_os_error']); }
	
} elseif ($profile_method == "display") {
  
  
  if ($user_data['user_os']) {

$user_os = array(
1 => $locale['uf_os_001'], 
2 => $locale['uf_os_002'], 
3 => $locale['uf_os_003'], 
4 => $locale['uf_os_004']
);

$os_img = array(
1  => BASEDIR."includes/user_fields/images/os/windows.png", 
2  => BASEDIR."includes/user_fields/images/os/mac.png", 
3  => BASEDIR."includes/user_fields/images/os/linux.png", 
4  => BASEDIR."includes/user_fields/images/os/solaris.png");	

		
        echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['uf_os']."</td>\n";
		echo "<td align='right' class='tbl1'><img style='vertical-align:middle;border:none' src='".$os_img[$user_data['user_os']]."' alt='".$user_os[$user_data['user_os']]."' title='".$user_os[$user_data['user_os']]."' /></td>\n";
		echo "</tr>\n"; }		
	

	
 
 // Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
if (isset($_POST['user_os']) && stripinput($_POST['user_os'] || $this->_isNotRequired("user_os"))) {
		// Set update or insert user data
		$this->_setDBValue("user_os", stripinput($_POST['user_os']));
	} else {
		$this->_setError("user_os", $locale['uf_os_error'], true);	
	}
}
?>
